Message Queue, v4.4 API Specification

## com.sun.messaging.jms.management.server
Class ConsumerInfo

    java.lang.Object
      com.sun.messaging.jms.management.server.ConsumerInfo

All Implemented Interfaces:
  java.io.Serializable

    public class ConsumerInfo

extends java.lang.Object
implements java.io.Serializable

This class contains constants/names for fields in the CompositeData that is returned by the operations of the Consumer Manager Monitor MBean.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `ACKNOWLEDGE_MODE` Acknowledge mode
`static java.lang.String` `ACKNOWLEDGE_MODE_LABEL` Acknowledge mode label
`static java.lang.String` `CLIENT_ID` Client ID
`static java.lang.String` `CONNECTION_ID` Connection ID
`static java.lang.String` `CONSUMER_ID` Consumer ID
`static java.lang.String` `CREATION_TIME` Creation Time
`static java.lang.String` `DESTINATION_NAME` Destination Name
`static java.lang.String` `DESTINATION_NAMES` Destination Names (that match wildcard)
`static java.lang.String` `DESTINATION_TYPE` Destination Type
`static java.lang.String` `DURABLE` Durable (whether the consume is a durable or not)
`static java.lang.String` `DURABLE_ACTIVE` DurableActive (whether the durable is active or not)
`static java.lang.String` `DURABLE_NAME` Durable name
`static java.lang.String` `FLOW_PAUSED` Flow Paused
`static java.lang.String` `HOST` Host
`static java.lang.String` `LAST_ACK_TIME` Last acknowledge time
`static java.lang.String` `NEXT_MESSAGE_ID` Next message which should be delivered
`static java.lang.String` `NUM_MSGS` Number of messages held for consumer.
`static java.lang.String` `NUM_MSGS_PENDING` Number of messages still held for consumer because either they are queued for deliver or pending an ack
`static java.lang.String` `NUM_MSGS_PENDING_ACKS` Number of messages still held for consumer because acks for them from the consumer are still pending.
`static java.lang.String` `SELECTOR` Selector
`static java.lang.String` `SERVICE_NAME` Service Name
`static java.lang.String` `USER` User
`static java.lang.String` `WILDCARD` Wildcard (whether the consumer is a wildcard or not)

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACKNOWLEDGE_MODE

    public static final java.lang.String ACKNOWLEDGE_MODE

  Acknowledge mode

  See Also:
    Constant Field Values

### ACKNOWLEDGE_MODE_LABEL

    public static final java.lang.String ACKNOWLEDGE_MODE_LABEL

  Acknowledge mode label

  See Also:
    Constant Field Values

### CLIENT_ID

    public static final java.lang.String CLIENT_ID

  Client ID

  See Also:
    Constant Field Values

### CONNECTION_ID

    public static final java.lang.String CONNECTION_ID

  Connection ID

  See Also:
    Constant Field Values

### CONSUMER_ID

    public static final java.lang.String CONSUMER_ID

  Consumer ID

  See Also:
    Constant Field Values

### CREATION_TIME

    public static final java.lang.String CREATION_TIME

  Creation Time

  See Also:
    Constant Field Values

### DESTINATION_NAME

    public static final java.lang.String DESTINATION_NAME

  Destination Name

  See Also:
    Constant Field Values

### DESTINATION_NAMES

    public static final java.lang.String DESTINATION_NAMES

  Destination Names (that match wildcard)

  See Also:
    Constant Field Values

### DESTINATION_TYPE

    public static final java.lang.String DESTINATION_TYPE

  Destination Type

  See Also:
    Constant Field Values

### DURABLE

    public static final java.lang.String DURABLE

  Durable (whether the consume is a durable or not)

  See Also:
    Constant Field Values

### DURABLE_ACTIVE

    public static final java.lang.String DURABLE_ACTIVE

  DurableActive (whether the durable is active or not)

  See Also:
    Constant Field Values

### DURABLE_NAME

    public static final java.lang.String DURABLE_NAME

  Durable name

  See Also:
    Constant Field Values

### FLOW_PAUSED

    public static final java.lang.String FLOW_PAUSED

  Flow Paused

  See Also:
    Constant Field Values

### HOST

    public static final java.lang.String HOST

  Host

  See Also:
    Constant Field Values

### LAST_ACK_TIME

    public static final java.lang.String LAST_ACK_TIME

  Last acknowledge time

  See Also:
    Constant Field Values

### NUM_MSGS

    public static final java.lang.String NUM_MSGS

  Number of messages held for consumer.

  See Also:
    Constant Field Values

### NUM_MSGS_PENDING_ACKS

    public static final java.lang.String NUM_MSGS_PENDING_ACKS

  Number of messages still held for consumer because acks for them from the consumer are still pending.

  See Also:
    Constant Field Values

### SELECTOR

    public static final java.lang.String SELECTOR

  Selector

  See Also:
    Constant Field Values

### SERVICE_NAME

    public static final java.lang.String SERVICE_NAME

  Service Name

  See Also:
    Constant Field Values

### USER

    public static final java.lang.String USER

  User

  See Also:
    Constant Field Values

### WILDCARD

    public static final java.lang.String WILDCARD

  Wildcard (whether the consumer is a wildcard or not)

  See Also:
    Constant Field Values

### NUM_MSGS_PENDING

    public static final java.lang.String NUM_MSGS_PENDING

  Number of messages still held for consumer because either they are queued for deliver or pending an ack

  See Also:
    Constant Field Values

### NEXT_MESSAGE_ID

    public static final java.lang.String NEXT_MESSAGE_ID

  Next message which should be delivered

  See Also:
    Constant Field Values

Message Queue, v4.4 API Specification

Copyright 2009 Sun Microsystems, Inc.
4150 Network Circle, Santa Clara, CA 95054, U.S.A. All Rights Reserved.